/******************************************************************************
 * Example code which tests BTextControl's centering ability.
 */

#include <Application.h>
#include <TextControl.h>
#include <Window.h>

class CenteringBugApp : public BApplication
{
public:
  CenteringBugApp ();

  virtual void ReadyToRun ();
};

CenteringBugApp::CenteringBugApp ()
: BApplication ("application/BTextControlTest")
{
}


void CenteringBugApp::ReadyToRun ()
{
  BWindow *WindowPntr = new BWindow (BRect (40, 40, 250, 100),
    "BTextControl Centering Test",
    B_DOCUMENT_WINDOW, B_ASYNCHRONOUS_CONTROLS);

  BTextControl *TextCtrlPntr = new BTextControl (BRect (5, 5, 200, 25),
    "Text1", "Label1", "Text 1", NULL, B_FOLLOW_LEFT_RIGHT | B_FOLLOW_TOP);
  TextCtrlPntr->SetAlignment (B_ALIGN_CENTER, B_ALIGN_CENTER);
  WindowPntr->AddChild (TextCtrlPntr);

  TextCtrlPntr = new BTextControl (BRect (5, 25, 200, 45),
    "Text2", "Label2", "This is some longer text in box 2.",
    NULL, B_FOLLOW_LEFT_RIGHT | B_FOLLOW_TOP);
  TextCtrlPntr->SetAlignment (B_ALIGN_CENTER, B_ALIGN_CENTER);
  WindowPntr->AddChild (TextCtrlPntr);
  

  WindowPntr->Show ();
}


int main (int argc, char **argv)
{
  CenteringBugApp MyApp;

  if (MyApp.InitCheck () == B_OK)
    MyApp.Run ();

 return 0;
}
